<template>
  <div class="w-full h-screen relative flex justify-center items-center p-6" style="background-image: url('/backgroundImg.png'); background-position: center; background-color: rgba(0, 0, 0, 0.5);">
    <div class="py-4 px-8 md:py-6 md:px-12 w-full md:w-[500px] ">
      <form @submit.prevent="form.post('/login')">
        <div class="w-full mx-auto">
          <img :src="`/logo.png`" class="block mx-auto h-36" />
          <div class="space-y-5">
            <h2></h2>
            <br>
            <h3 class="mb-4 text-center text-white">Login to your account</h3>
            <br>
            <div>
              <label class="font-semibold text-white" for="email">Email Address:</label>
              <input role="email" id="email" v-model="form.email" class="input w-full" placeholder="Enter email">
              <div v-if="form.errors.email" class="text-error">
                {{ form.errors.email }}
              </div>
            </div>
            <div>
              <label class="font-semibold text-white" for="password">Password:</label>
              <input type="password" id="password" v-model="form.password" class="input w-full" placeholder="Enter password">
              <div v-if="form.errors.password" class="text-error">
                {{ form.errors.password }}
              </div>
            </div>
          </div>
          <div class="mt-5 mb-2">
            <button role="submit" class="w-full btn" style="background-color: #FFC20E; color: #000; text-align: center;">
  <span>Login</span>
</button>
          </div>
          <Link href="/forgot-password" class="text-base font-semibold text-white">Forgot password?</Link>
        </div>
      </form>
    </div>
  </div>
</template>

<script setup>
import { useForm, Link } from '@inertiajs/vue3';

const form = useForm({
  email: '',
  password: ''
});
</script>
